# This file created by conda-build 3.6.0+330.gd10dbde.dirty
# meta.yaml template originally from:
# /home/rdonnelly/conda/aggregate/performance-feedstock/recipe, last modified Sun Jul  8 12:51:37 2018
# ------------------------------------------------

package:
    name: performance
    version: 0.6.1
source:
    fn: performance-0.6.1.tar.gz
    patches:
        - pip-10.patch
    sha256: 88e9abb3ffd98a4f9b4aa5effc574c1e06ccc30445cda7ea40b7053c64e0c6bc
    url: https://pypi.io/packages/source/p/performance/performance-0.6.1.tar.gz
build:
    entry_points:
        - pyperformance=performance.cli:main
    number: '0'
    script: python setup.py install --single-version-externally-managed --record=record.txt
    string: py36_0
requirements:
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py36_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h9268252_3
        - libstdcxx-ng 7.2.0 h9268252_3
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2o h20670df_0
        - perf 1.5.1 py36_0
        - python 3.6.6 hc3d631a_0
        - readline 7.0 h6b4b497_4
        - setuptools 39.2.0 py36_0
        - six 1.11.0 py36_1
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 h9a736a7_3
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - perf
        - python >=3.6,<3.7.0a0
        - six
test:
    commands:
        - pyperformance --help
    imports:
        - performance
        - performance.benchmarks
        - performance.benchmarks.data
        - performance.tests
        - performance.tests.data
about:
    description: "##########################\nThe Python Benchmark Suite\n##########################\n\
        \n.. image:: https://img.shields.io/pypi/v/performance.svg\n   :alt: Latest\
        \ release on the Python Cheeseshop (PyPI)\n   :target: https://pypi.python.org/pypi/performance\n\
        \n.. image:: https://travis-ci.org/python/performance.svg?branch=master\n\
        \   :alt: Build status of perf on Travis CI\n   :target: https://travis-ci.org/python/performance\n\
        \nThe ``performance`` project is intended to be an authoritative source of\n\
        benchmarks for all Python implementations. The focus is on real-world\nbenchmarks,\
        \ rather than synthetic benchmarks, using whole applications when\npossible.\n\
        \n* `performance documentation <http://pyperformance.readthedocs.io/>`_\n\
        * `performance GitHub project <https://github.com/python/performance>`_\n\
        \  (source code, issues)\n* `Download performance on PyPI <https://pypi.python.org/pypi/performance>`_\n\
        \nperformance is distributed under the MIT license.\n\n"
    home: https://github.com/python/benchmarks
    license: MIT License
    license_family: MIT
    summary: Python benchmark suite
extra:
    copy_test_source_files: true
    final: true
